Package org.python.util

# Class JarRunner

java.lang.Object
org.python.util.JarRunner

public class JarRunner extends Object
JarRunner initializes sys (PySystemState), passing args in (including the name "__run__" as arg 0 for consistancy with Python expectations), and import __run__. It is intended to be used to allow an application jarred up with Jython's runtime to run like "java -jar foo.jar". It requires a __run__.py in the jar that will execute the program, and the following entry in the manifest: Main-Class: org.python.util.JarRunner XXX: For the moment it should be considered experimental, but it is simple enough that I expect to be able to remove this warning pretty quickly.

## Constructor Summary

Constructors
Constructor
Description
`JarRunner()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static void`
`run(String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JarRunner

public JarRunner()

## Method Details

### run

public static void run(String[] args)

### main

public static void main(String[] args)